import { AdminOnboardingUpdateDto, ReverseGeocodingStateResponseDto, VersionCheckStateResponseDto } from "../dtos/system-metadata.dto";
import { SystemMetadataService } from "../services/system-metadata.service";
export declare class SystemMetadataController {
    private service;
    constructor(service: SystemMetadataService);
    getAdminOnboarding(): Promise<AdminOnboardingUpdateDto>;
    updateAdminOnboarding(dto: AdminOnboardingUpdateDto): Promise<void>;
    getReverseGeocodingState(): Promise<ReverseGeocodingStateResponseDto>;
    getVersionCheckState(): Promise<VersionCheckStateResponseDto>;
}
